<?php
        session_start();

        if(file_exists("./funkce.php")) {
                include("./funkce.php");
        } else {
                die("Soubor <b>funkce.php</b> nebyl nalezen!");
        }

        je_admin();

        if(isset($_POST[neodeslat_form])) {
                header("Location: admin_ban_ip.php");
                exit();
        } elseif(isset($_POST[odbanovat])) {
                dotaz("DELETE FROM forum_ip_ban WHERE id = '$_POST[ip_id]' LIMIT 1;");
                header("Location: admin_ban_ip.php?strana=$_GET[strana]");
                exit();
        } elseif(isset($_POST[zabanovat])) {
                if(mysql_num_rows(dotaz("SELECT id FROM forum_ip_ban WHERE ip = '$_POST[ip]';")) == 0) {
                        dotaz("INSERT INTO forum_ip_ban SET ip = '$_POST[ip]';");
                }
                header("Location: admin_ban_ip.php");
                exit();
        }

        echo hlavicka("Administrace | Zabanované IP adresy", TRUE);
        echo logo();
        echo menu();
?>
        <div id="navigace">Administrace - Zabanované IP adresy</div> 
<?php 
        if(isset($_GET[ban])) { 
?>
        <form action="admin_ban_ip.php" method="post">
                <fieldset>
                        <legend>Zabanování IP adresy</legend>
                        <label>Opravdu si přejete zabanovat IP adresu <b><?php echo $_GET[ban]; ?></b>?</label>
                        <input type="hidden" name="ip" value="<?php echo $_GET[ban]; ?>" />
                        <input type="submit" value="Ano" name="zabanovat" />
                        <input type="submit" value="Ne" name="neodeslat_form" /><br /><br />
                </fieldset>
        </form>
        <div id="obsah">
<?php
        } elseif(isset($_GET[smazat])) {
?>
        <form action="admin_ban_ip.php" method="post">
                <fieldset>
                        <legend>Odbanování IP adresy</legend>
                        <label>Opravdu si přejete zrušit ban této IP adresy?</label>
                        <input type="hidden" name="ip_id" value="<?php echo $_GET[smazat]; ?>" />
                        <input type="submit" value="Ano" name="odbanovat" />
                        <input type="submit" value="Ne" name="neodeslat_form" /><br /><br />
                </fieldset>
        </form>
        <div id="obsah"> 
<?php
        } else { echo "<div id=\"obsah\">Pro zabanování IP adresy přejděte na příslušný příspěvek ve fóru a klikněte na odkaz <em>IP adresa</em>.<br /><br />"; }
?>
                <table class="ip_ban" cellspacing="0" cellpadding="0">
                        <tr class="ip_ban_hlavicka">
                                <td align="center">IP adresa</td>
                                <td align="center">zrušit BAN</td>
                        </tr>
<?php
        if(empty($_GET[strana])) { $strana = 1; } else { $strana = 1 * $_GET[strana]; }
        $od = ($strana - 1) * 20;
        $query = dotaz("SELECT * FROM forum_ip_ban ORDER BY ip LIMIT $od,20;");
        $i = 0;
        while($row = mysql_fetch_array($query)) {
                if($i % 2) { $tr = " class=\"tr_2\""; } else { $tr = ""; }
                echo "\t\t\t<tr".$tr.">\n\t\t\t\t<td>".$row[ip]."</td><td align=\"center\"><a href=\"admin_ban_ip.php?smazat=".$row[id]."&#38;strana=".$strana."\" title=\"Smazat\">zrušit</a></td>\n\t\t\t</tr>\n";
                $i++;
        }

        if($i == 0) { echo "<tr><td colspan=\"2\" align=\"center\"><em>prázdné</em></td></tr>"; }

        echo "\t\t\t<tr>\n\t\t\t\t<td colspan=\"2\"><div id=\"strankovani_ip\">Strana:&nbsp;";

        $row = mysql_fetch_array(dotaz("SELECT count(*) FROM forum_ip_ban;"));
        $pocet_prispevku = $row[0];
        $stran = ceil($pocet_prispevku / 20);
        for($i = 1; $i <= $stran; $i++) {
                echo "<a href=\"admin_ban_ip.php?strana=".$i."\" title=\"Ban IP\">";
                if($strana == $i) { echo "<b>".$i."</b>"; } else { echo $i;} 
                if($i != $stran) { echo "</a>&nbsp;.&nbsp;"; } else { echo "</a>&nbsp;"; }
        }

        echo "</div></td>\n\t\t\t</tr>\n\t\t</table>\n\t</div>\n".$paticka; 
?>